Prerequisites - SAP NetWeaver on AWS

Prerequisites

Specialized Knowledge

Before you follow the instructions in this guide, we recommend that you become familiar with the following AWS services. (If you are new to AWS, see Getting Started with AWS.)

Technical Requirements

Before you start to deploy Microsoft SQL Server database for SAP applications on AWS, ensure that you meet the following requirements:

  • Windows Server 2008 R2, 2012 R2, or 2016 operating system

  • Microsoft SQL Server 2008 R2 or higher database

  • Bring your own license (BYOL) for SQL Server and SAP application

  • Install AWS SAP Data provider on Amazon EC2 instances after installing SQL Server database

  • If you plan to deploy domain installation, you should have a user ID that is a member of domain admins. Otherwise, the domain admin should create groups and user IDs (such as <sapsid>adm, SAPService<SAPSID>, and so on) as required for SAP in advance. See SAP installation guide for more details.

  • AWS Account with permission to create resources.

  • Access to SAP installation media for database and application

  • AWS Business Support or AWS Enterprise Support plan